# Class Entry

A single log entry.

#### Hierarchy

- Entry

#####
Index

### Constructors

constructor

### Properties

level
message
timestamp
type

### Methods

toJSON

## Constructors

### constructor

- new Entry(level, message, opt_timestamp?, opt_type?): Entry

- #### Parameters

  - ##### level: string | number | Level

    The entry level.

  - ##### message: string

    The log message.

  - ##### `Optional` opt_timestamp: number

    The time this entry was generated, in milliseconds since 0:00:00, January 1, 1970 UTC. If omitted, the current time will be used.

  - ##### `Optional` opt_type: string | IType

    The log type, if known.

  #### Returns Entry

## Properties

### level

level: Level

### message

message: string

### timestamp

timestamp: number

### type

type: string

## Methods

### toJSON

- toJSON(): IEntryJSON

- #### Returns IEntryJSON

  The JSON representation of this entry.

Generated using TypeDoc